> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loadforge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Host

> Delete a host entry by specifying the host_id

Delete a host entry by specifying the `host_id` in the API endpoint. Ensure that all tests utilizing the host are deleted beforehand to prevent an error response.


## OpenAPI

````yaml DELETE /hosts/{host_id}
openapi: 3.1.0
info:
  title: LoadForge API
  description: >-
    The LoadForge API provides programmatic access to create, manage, and run
    load tests on your web applications
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://app.loadforge.com/api/v2
security:
  - bearerAuth: []
paths:
  /hosts/{host_id}:
    delete:
      description: Delete a host entry by specifying the host_id
      parameters:
        - name: host_id
          in: path
          description: ID of host to delete
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Host deletion response
          content:
            application/json:
              schema:
                type: object
                properties:
                  host_id:
                    type: integer
                    description: ID of the deleted host
                  status:
                    type: string
                    description: Status of the deletion operation
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````